# Generated from graphql-metrics-5.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name graphql-metrics

Name: rubygem-%{gem_name}
Version: 5.0.0
Release: 1%{?dist}
Summary: GraphQL Metrics Extractor
License: MIT
URL: https://github.com/Shopify/graphql-metrics
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(graphql-batch)
# BuildRequires: rubygem(activesupport) >= 5.1.5
# BuildRequires: rubygem(activesupport) < 5.2
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(diffy)
# BuildRequires: rubygem(hashdiff)
# BuildRequires: rubygem(fakeredis)
# BuildRequires: rubygem(minitest-focus)
BuildArch: noarch

%description
Extract as much much detail as you want from GraphQL queries, served up from
your Ruby app and the `graphql` gem.
Compatible with the `graphql-batch` gem, to extract batch-loaded fields
resolution timings.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rubocop-http---shopify-github-io-ruby-style-guide-rubocop-yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/RELEASING
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/service.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/graphql_metrics.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 5.0.0-1
- Initial package
